+++
title = "`base`"
description = "Base class of most policy classes defining the narrow observer policies."
+++

Implements the base class of most policy classes defining the narrow observer policies.

*Requires*: Nothing.

*Namespace*: `BOOST_OUTCOME_V2_NAMESPACE::policy`

*Header*: `<boost/outcome/policy/base.hpp>`

### Protected member functions

#### Special

{{% children description="true" depth="2" categories="special" %}}

#### Observers

{{% children description="true" depth="2" categories="observers" %}}

#### Modifiers

{{% children description="true" depth="2" categories="modifiers" %}}

### Public member functions

{{% children description="true" depth="2" categories="observer-policies" %}}
